Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 236161

Summary: hplip: hp-timedate has missing files
Product: [Fedora] Fedora Reporter: Bernard Johnson <bjohnson>
Component: hplipAssignee: Tim Waugh <twaugh>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.7.2-7.fc7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-04-13 12:47:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Bernard Johnson 2007-04-12 06:35:08 UTC
Description of problem:
hp-timedate has missing files.

ATM, this is an uneducated guess, but I'm going to say that the
/usr/share/hplip/fax directory and files should be packaged with the base files.
 At first look I don't see any gui parts to them.

hp-sendfax is supposed to be able to be used on the command line.  Not sure
about some of the other programs though.

It might make more sense to include this in the base package and manually filter
the requires to exclude *Qt*.  hp-sendfax for example has a fallback if it can't
 start in gui mode:

if mode == GUI_MODE:
    if not os.getenv('DISPLAY'):
        mode = NON_INTERACTIVE_MODE

    elif not utils.checkPyQtImport():
        mode = NON_INTERACTIVE_MODE

Taking a quick look around says that 

fab
makecopies
sendfax
setup
unload

all have this fallback.


Version-Release number of selected component (if applicable):
hplip-1.7.2-5.fc7
  
Actual results:
$ hp-timedate
Traceback (most recent call last):
  File "/usr/bin/hp-timedate", line 38, in <module>
    from fax import fax
ImportError: No module named fax

Comment 1 Tim Waugh 2007-04-13 12:47:30 UTC
I don't think faxing can work without the hp-sendfax GUI.  I've moved the fax
bits into the gui package, except for the filter (main package) and the PPD (hpijs).

Comment 2 Bernard Johnson 2007-04-14 08:19:54 UTC
I'm testing this on the hplip-1.7.2-2.fc6 monolithic package, so let me know if
you think that makes any difference.

If I:
# rpm -e PyQt --nodeps

I can still fax by command line:
$ hp-sendfax -n -f 8885551212 -bnet testfile

HP Linux Imaging and Printing System (ver. 1.7.2)
PC Sendfax Utility ver. 5.1

Copyright (c) 2003-6 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Using printer HP_Color_LaserJet_2840_fax
(hpfax:/net/HP_Color_LaserJet_2840?ip=192.168.1.11)

Rendering file '/home/bjohnson/testfile' (job 35)...

Transfering fax data...
error: Device is busy or in an error state (code=102). Please wait for the
device to become idle or clear the error and try again.

Sending fax...
/
Dialing 8885551212...
|
Sending page 1 to 8885551212...
-
Cleaning up...
\
Completed successfully.
 
Done.

(Ignore the error code, that's actually a bug in hplip that considers low supply
status an error condition when faxing - I've actually changed the code there to
make it non-fatal)


Comment 3 Tim Waugh 2007-04-16 10:24:28 UTC
Okay, I'll add that back into the main package for 1.7.2-7.fc7.  Thanks!